"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processor = void 0;
const imageProcessor_1 = require("./imageProcessor");
const tableOfContent_1 = require("./tableOfContent");
const metadataProcessor_1 = require("./metadataProcessor");
const processor = async (blocks, actions, getCache, createNodeId, reporter) => {
    const imageNode = await (0, imageProcessor_1.processBlocks)(blocks, actions, getCache, createNodeId, reporter);
    const tableOfContents = await (0, tableOfContent_1.processTableOfContents)(blocks, actions, getCache, createNodeId, reporter);
    await (0, metadataProcessor_1.processMetadata)(blocks, actions, createNodeId, reporter);
    return [imageNode, tableOfContents];
};
exports.processor = processor;
